Subject: Re: [trill] TRILL FGL should support VM mobility

From: Donald Eastlake <[email-masked]>
Date: Thu, 27 Jun 2013 20:33:51 -0400

Hi Weiguo,

On Thu, May 2, 2013 at 8:40 AM, Haoweiguo <[email-masked]> wrote:
> Hi all,
>
> The VMs belonging to same tenant can spread over multiple edge RBs, these
> VMs can use different local vlan to access same FGL network. FGL allocation
> can be through centralized orchestrator or distributed protocol and FGL
> should be ensured to be same in all trill campus for same tenant.
>
> 1,Centralized method:
> When first VM belonging to a tenant accesses to trill campus, orchestrator
> should allocate new FGL to the tenant and download FGL and access vlan
> mapping information to the access edge RB. Later when other VMs of the
> tenant access,the orchestrator should use VN name to find already allocated
> FGL. If FGL is found successful, the orchestrator should use the already
> allocated FGL and download FGL and access vlan mapping information to the
> new access edge RB.

There seems to be a bunch of unstated things here. I assume VN is
Virtual Network.

You say the virtual machine accesses the TRILL campus sort of like it
arrived from the outside at the edge of the campus. But in a
orchestrated Data Center, wouldn't the VM have been created by the
orchestration system? If so and if the orchestration system uses a "VN
name" to track tenants, I would think the orchestration system would
allocated an FGL when it created the first VM for a VN... So a
centralized method seems most natural to me.

> 2,Distributed method:
> When first VM belonging to a tenant accesses to trill campus,  edge RB
> allocates FGL by VN Name. Then the RB floods FGL and VN Name mapping
> information to TRILL campus, all other RBs should save the mapping
> information for later use. Later when other RBs of the tenant access to
> other edge RB, the edge RB should use VN name to find already allocated FGL
> by other edge RB.

It seems to me that there are some problems with this distributed
method. What if two edge RBridges allocate the same FGL for different
tenants or different FGLs for the same tenant due to things happening
with just the wrong timing?

> Does trill protocol should be extended to support flooding FGL and VN name
> mapping information? comments are welcomed!

Are VN names standardized?

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

> thanks
> weiguo